// 活动模块

import { httpGet, httpPost } from "@/utils/request.js";

/**
 * 活动列表
 * @param {active_state} 活动状态 1-未开始 2-进行中 3-已结束
 * @param {activity_type} 活动类型 1-线上会议 3-线下沙龙
 * @param {title} 活动类别/标题(搜索可用)
 * @param page
 * @param limit
 */
export const apiActivityList = (params) => {
    return httpGet("/activity/getPageList", params);
};

/**
 * 活动详情
 * @param activity_id
 */
export const apiActivityDetail = (params) => {
    return httpGet("/activity/getActivityDetail", params);
};

/**
 * 活动设置提醒
 * @param activity_id
 */
export const apiActivityAddRemind = (params) => {
    return httpPost("/activity/addRemind", params);
};

/**
 * 活动取消提醒
 * @param activity_id
 */
export const apiActivityCancelRemind = (params) => {
    return httpPost("/activity/cancelRemind", params);
};

/**
 * 活动线下报名
 * @param activity_id
 */
export const apiActivityRegister = (params) => {
    return httpPost("/activity/registerActivity", params);
};

/**
 * 活动取消线下报名
 * @param activity_id
 */
export const apiActivityCancelRegister = (params) => {
    return httpPost("/activity/cancelRegister", params);
};

/**
 * 获取活动音频
 * @param activity_id
 */
export const apiActivityAudios=params=>{
    return httpGet('/activity/getActivityVoices',params)
}

/**
 * 新增活动音频播放记录
 * @param primary_id 音频ID
 * @param extend_id 活动ID
 * @param source 来源：1-小程序；2-小程序PC端；3-公众号；4-Web PC端
 * @param from_page 来源页面:eg：活动详情
 */
export const apiActivityAudioPlayRecordAdd=params=>{
    return httpPost('/activity/voice_log/add',{...params,source:1})
}

/**
 * 新增活动音频播放记录
 */
export const apiActivityAudioPlayRecordUpate=params=>{
    return httpPost('/activity/voice_log/update',params)
}
